Katello - Bug #37358

subscription-manager release --unset doesn't reset the client information on foreman
04/16/2024 06:13 PM - Joniel Pasqualetto

Status: Closed
Priority: Normal
Assignee: Joniel Pasqualetto
Category: Subscriptions
Target version: Katello 4.13.0
Difficulty: Fixed in Releases: Katello 4.13.0
Triaged: Yes Found in Releases:
Bugzilla link: 2269998 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/109
63
Description

Description of problem:
Subscription-manager release --unset doesn't reset the client information on Red Hat Satellite

Version-Release number of selected component (if applicable):
Satellite 6.x

How reproducible:
Unset Subscription-manager release on the client and check info on satellite.

Steps to Reproduce:

1. Subscription-manager release --unset
2. Subscription-manager release --show
3. Subscription-manager facts --update

Actual results:
Release Version remains the same on the foreman DB

Expected results:
Release Version should be updated on the foreman DB

Additional info:
Also Subscription-manager facts --update doesn't refresh release information

Associated revisions

Revision d47e2e09 - 04/22/2024 03:54 PM - Joniel Pasqualetto

Fixes #37358 - relese_version to be updated when client unsets release

History

#1 - 04/16/2024 06:28 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/Katello/katello/pull/10963 added

#2 - 04/17/2024 03:39 PM - Chris Roberts

- Target version set to Katello 4.13.0

#3 - 04/17/2024 03:39 PM - Chris Roberts

- Triaged changed from No to Yes

#4 - 04/17/2024 05:43 PM - Chris Roberts
- Category set to Subscriptions

- Assignee set to Joniel Pasqualetto
#5 - 04/22/2024 03:54 PM - The Foreman Bot
- Fixed in Releases Katello 4.13.0 added

#6 - 04/22/2024 04:00 PM - Joniel Pasqualetto
- Status changed from Ready For Testing to Closed

Applied in changeset katello|d47e2e099a35a62d75c1de94b4192ed2d6c98779.
